# Insight Tree

When a metric (e.g. **sales**) fails to meet its target, it's important to understand why.

Usually, we start by looking for the biggest gap. Which **city**? Which **product**? Which **channel**? Where is the largest gap?

But a large under-performance in one city can be **offset** by a good performance in another city.
So we need to drill down to the next level. And the next.

**Insight Tree** automates this drill-down. It goes through **every combination** in the hierarchy,
finds the largest gaps, and highlights them starting with the biggest.

Here's a sample output:

![Sales - Insight Tree](https://gramener.com/insighttree/docs/sales.gif)

## Documentation

- [**Home page**](https://gramener.com/insighttree/)
- [**Documentation**](https://gramener.com/docs/)
- [**Source**](https://code.gramener.com/cto/insighttree/)
